import React from 'react';
import { connect } from 'umi';
import ProductionScheduleTree from '../../components/productionScheduleTree/productionScheduleTree';

function ProductionScheduleInfo({ dispatch, app, content }) {
  function removePane(changePanes, currentPane) {
    dispatch({ type: 'app/removePane', payload: { changePanes, currentPane } });
  }

  const productionPlanProps = {
    app,
    content,
    dispatch,
    onRemovePane: removePane,
  };

  return (
    <ProductionScheduleTree {...productionPlanProps} className="test" />
  );
}

export default connect(({ app, content }) =>
  ({ app, content }))(ProductionScheduleInfo);
